# დაწერეთ პროგრამა, რომელიც შეყვანილ ათობით რიცხვს გადაიყვანს ორობითში.
number=float(input("Enter any number: "))
print(bin(number))

# დაწერეთ პროგრამა, სადაც მომხმარებელი შეიყვანს 3 რიცხვს და პროგრამა დაბეჭდავს რიცხვების საშუალო
# არითმეტიკულს.
a=float(input("Enter number 1: "))
b=float(input("Enter number 2: "))
c=float(input("Enter number 3: "))
average=(a+b+c)/3
print(average)

#დაწერეთ პროგრამა, რომლის მეშვეობითაც შეიტანთ ნებისმიერ რიცხვს. პროგრამამ შეამოწმოს, თუ შეყვანილი
#რიცხვი 10-ის ჯერადია, დაბეჭდოს “რიცხვი ბოლოვდება 0-ით”, თუ არადა დაბეჭდოს “რიცხვი არ ბოლოვდება 0-ით”.
#(გაითვალისწინეთ: 10-ის ჯერადი ნიშნავს რომ 10-ზე გაყოფისას ნაშთი არის 0).
number=float(input("Enter any number: "))
if number%10==0:
    print("რიცხვი ბოლოვდება 0-ით")
else:
    print("რიცხვი არ ბოლოვდება 0-ით")


#დაწერეთ პროგრამა, რომლის მეშვეობითაც შეიტანთ წელს და დაადგენთ არის თუ არა შეყვანილი რიცხვი ნაკიანი
#წელიწადი. მაგ: 2012, 2016 წლები ნაკიანია. გაითვალისწინეთ, ნაკიანია წელიწადი, რომელიც უნაშთოდ იყოფა
#ოთხზე, გარდა იმ წლებისა რომლებიც იყოფა 100-ზე მაგრამ არ იყოფა 400-ზე. მაგ. 2100, 2200, 2300 წლები არ არის
#ნაკიანი. 2000 წელი ნაკიანია.

year=int(input("შეიყვანეთ წელი: "))
if (year % 4 == 0 and year % 100 != 0) or year % 400 == 0:
        print("არის ნაკიანი წელი")
else:
        print("არ არის ნაკიანი წელი")


#შეიყვანეთ ნებისმიერი რიცხი. დაადგინეთ არის თუ არა შეტანილი რიცხვი პალინდრომი. (მითითება: პალინდრომია
#რიცხვი, რომელიც მარჯვნიდან და მარცხნიდან ერთნაირად იკითხება). მაგ. 12521
n = float(input("შეიყვანეთ რიცხვი: "))
temp = n
rev = 0
while (n>0) :
        dig=n%10
        rev=rev*10+dig
        n=n//10
if (temp==rev):
        print("რიცხვი არის პალინდრომი")
else:
        print("რიცხვი არ არის პალინდრომი")

